POST/shorts.v1alpha1.ReportsService/GetWeeklyReport

GetWeeklyReport

Get a weekly short report with narrative analysis

Parameters

Connect-Protocol-VersionheaderRequired
number [1]

Define the version of the Connect protocol

Connect-Timeout-Msheader
number

Define the timeout, in ms

Request Body

application/json
object

Request for GetWeeklyReport RPC

weekSlugstring

ISO week format: "2026-W06" (proto string)

Responses

200Success
application/json
object

Response for GetWeeklyReport RPC

citationsarray

(proto shorts.v1alpha1.WeeklyReportCitation)

Array Items:
fallersarray

(proto shorts.v1alpha1.WeeklyReportMover)

Array Items:
faqsarray

(proto shorts.v1alpha1.WeeklyReportFAQ)

Array Items:
headlinestring

(proto string)

industryBreakdownarray

(proto shorts.v1alpha1.WeeklyIndustryStat)

Array Items:
marketStatsobject

(proto shorts.v1alpha1.WeeklyMarketStats)

avgShortPctnumber <double>

(proto double)

fallerCountinteger <int32>

Market-wide count of stocks whose short % fell (proto int32)

maxShortCodestring

(proto string)

maxShortPctnumber <double>

(proto double)

medianShortPctnumber <double>

(proto double)

riserCountinteger <int32>

Market-wide count of stocks whose short % rose (proto int32)

stocksAbove10pctinteger <int32>

Count of stocks with short interest >= 10% (proto int32)

stocksAbove5pctinteger <int32>

Count of stocks with short interest >= 5% (proto int32)

totalStocksShortedinteger <int32>

(proto int32)

wowAvgChangenumber <double>

Week-on-week change in average short % (proto double)

narrativeobject

(proto shorts.v1alpha1.WeeklyNarrative)

industryAnalysisstring

(proto string)

moversAnalysisstring

(proto string)

openingHookstring

(proto string)

outlookstring

(proto string)

topAnalysisstring

(proto string)

previousDatestring

YYYY-MM-DD of previous week's latest trading day (proto string)

qualityScorenumber <double>

(proto double)

reportDatestring

YYYY-MM-DD of latest trading day in the week (proto string)

risersarray

(proto shorts.v1alpha1.WeeklyReportMover)

Array Items:
summarystring

(proto string)

topShortedarray

(proto shorts.v1alpha1.WeeklyReportStock)

Array Items:
trendInsightsarray

(proto shorts.v1alpha1.WeeklyReportTrendInsight)

Array Items:
weekSlugstring

(proto string)

defaultError
application/json
object

Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation

codestring [canceled, unknown, invalid_argument, deadline_exceeded, not_found, already_exists, permission_denied, resource_exhausted, failed_precondition, aborted, out_of_range, unimplemented, internal, unavailable, data_loss, unauthenticated]

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

detailsarray

A list of messages that carry the error details. There is no limit on the number of messages.

Array Items:
messagestring

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.ReportsService/GetWeeklyReport" \
  -H "Content-Type: application/json" \
  -d '{
  "weekSlug": "string"
}'